import _m0 from "protobufjs/minimal";
export declare const protobufPackage = "tendermint.spn.monitoringp";
export interface ConsumerClientID {
    clientID: string;
}
export declare const ConsumerClientID: {
    encode(message: ConsumerClientID, writer?: _m0.Writer): _m0.Writer;
    decode(input: _m0.Reader | Uint8Array, length?: number): ConsumerClientID;
    fromJSON(object: any): ConsumerClientID;
    toJSON(message: ConsumerClientID): unknown;
    fromPartial<I extends {
        clientID?: string;
    } & {
        clientID?: string;
    } & { [K in Exclude<keyof I, "clientID">]: never; }>(object: I): ConsumerClientID;
};
declare type Builtin = Date | Function | Uint8Array | string | number | boolean | undefined;
export declare type DeepPartial<T> = T extends Builtin ? T : T extends Array<infer U> ? Array<DeepPartial<U>> : T extends ReadonlyArray<infer U> ? ReadonlyArray<DeepPartial<U>> : T extends {} ? {
    [K in keyof T]?: DeepPartial<T[K]>;
} : Partial<T>;
declare type KeysOfUnion<T> = T extends T ? keyof T : never;
export declare type Exact<P, I extends P> = P extends Builtin ? P : P & {
    [K in keyof P]: Exact<P[K], I[K]>;
} & {
    [K in Exclude<keyof I, KeysOfUnion<P>>]: never;
};
export {};
